> For the complete documentation index, see [llms.txt](https://docs.pagsmile.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.pagsmile.com/reference/payout/submit-a-payout/colombia/wallet.md).

# Wallet

## Submit a payout by Wallet in Colombia

<mark style="color:green;">`POST`</mark> `https://sandbox.transfersmile.com/api/payout`

This endpoint allows you to submit a payout by e-Wallet in Colombia.

#### Headers

| Name                                            | Type   | Description                         |
| ----------------------------------------------- | ------ | ----------------------------------- |
| Content-Type<mark style="color:red;">\*</mark>  | string | application/json; charset=UTF-8     |
| AppId<mark style="color:red;">\*</mark>         | string | Your App ID in payout platform      |
| Authorization<mark style="color:red;">\*</mark> | string | SHA256($sorted\_params + $app\_key) |

#### Request Body

| Name                                                 | Type   | Description                                                                                                                  |
| ---------------------------------------------------- | ------ | ---------------------------------------------------------------------------------------------------------------------------- |
| method<mark style="color:red;">\*</mark>             | string | Fixed Value: WALLET                                                                                                          |
| channel<mark style="color:red;">\*</mark>            | string | Tpaga or Nequi                                                                                                               |
| account\_type<mark style="color:red;">\*</mark>      | string | Fixed Value: PHONE                                                                                                           |
| account<mark style="color:red;">\*</mark>            | string | <p>Beneficiary Tpaga or Nequi account.</p><p>- 11 \~ 14 chars -</p>                                                          |
| custom\_code<mark style="color:red;">\*</mark>       | string | <p>Merchant's order id</p><p>- Max. 50 -</p>                                                                                 |
| fee\_bear<mark style="color:red;">\*</mark>          | string | <p>All fees charge to merchant or beneficiary<br>- One of: merchant, beneficiary -</p>                                       |
| amount<mark style="color:red;">\*</mark>             | string | <p>Payout Amount, should be an Integer.</p><p>- Tpage: Min 1 \~ Max 2,000,000;</p><p>Nequi: Min 1,000 \~ Max 2,000,000 -</p> |
| amount\_type                                         | string | <p>Specify the amount value is fixed for merchant or beneficiary<br>- One of: source\_amount, arrival\_amount(default) -</p> |
| source\_currency<mark style="color:red;">\*</mark>   | string | <p>Merchant's account currency</p><p>- supported: USD, GBP, EUR, COP -</p>                                                   |
| arrival\_currency<mark style="color:red;">\*</mark>  | string | <p>Beneficiary's account currency.</p><p>- Fixed Value: COP -</p>                                                            |
| notify\_url<mark style="color:red;">\*</mark>        | string | Where pagsmile will callback to                                                                                              |
| additional\_remark<mark style="color:red;">\*</mark> | string | <p>Additional Remark<br>- Max length: 40 -</p>                                                                               |
| country<mark style="color:red;">\*</mark>            | string | <p>Beneficiary's Country</p><p>- Fixed Value: COL -</p>                                                                      |
| name                                                 | string | <p>Beneficiary's name</p><p>- Min.5 Max.100 -</p>                                                                            |
| email                                                | string | <p>Beneficiary's email</p><p>- Max 64, valid email -</p>                                                                     |
| phone                                                | string | <p>Beneficiary's phone.</p><p>- Max 15, valid phone -</p>                                                                    |
| document\_type                                       | string | Beneficiary document type                                                                                                    |
| document\_id                                         | string | Beneficiary document id                                                                                                      |

{% tabs %}
{% tab title="200: OK submit successfully" %}

```javascript
{
    "code": 200,
    "msg": "success",
    "time": 1628580845,
    "data": {
        "id": "TS202108100734054iRiUZFPXfQWC",
        "custom_code": "custom_code9982674851738108",
        "arrival_amount": "100",
        "arrival_currency": "COP",
        "source_amount": "0.07",
        "source_currency": "USD",
        "status": "IN_PROCESSING"
    }
}
```

{% endtab %}

{% tab title="400: Bad Request bad request" %}

```javascript
{
    "code": 4001000,
    "msg": "invalid parameter",
    "time": 1637224716,
    "data": {}
}
```

{% endtab %}

{% tab title="401: Unauthorized unauthorized" %}

```javascript
{
    "code": 4004003,
    "msg": "permission denied",
    "time": 1637224716,
    "data": {}
}
```

{% endtab %}

{% tab title="500: Internal Server Error server error" %}

```javascript
{
    "code": 5001000,
    "msg": "system error",
    "time": 1637224716,
    "data": {}
}
```

{% endtab %}

{% tab title="500: Internal Server Error fee not configured" %}

```javascript
{
    "code": 5001003,
    "msg": "fee not configured",
    "time": 1637224716,
    "data": {
        ... ...
    }
}
```

{% endtab %}

{% tab title="500: Internal Server Error balance insufficient" %}

```javascript
{
    "code": 5001102,
    "msg": "balance insufficient",
    "time": 1637224716,
    "data": {
        ... ...
    }
}
```

{% endtab %}
{% endtabs %}

## Example

```
curl --location --request POST 'https://sandbox.transfersmile.com/api/payout' \
--header 'AppId: 94FAC**********************68548' \
--header 'Authorization: d6181db0d6548b94b162e75d095b59147172d914699f83b2bd17951a671b6302' \
--header 'Content-Type: application/json' \
--data-raw '{
      "name" : "GUILHERME ****** SOUZA",
      "phone" : "468****068",
      "email" : "g******me@gmail.com",
    * "account" : "+57317****412",
    * "account_type" : "PHONE",
      "document_id" : "************",
      "document_type" : "***",
    * "method" : "WALLET",
    * "channel" : "Tpaga", //Choose Tpaga or Nequi
    * "custom_code" : "custom_code9982674851738108",
    * "fee_bear" : "merchant",
    * "amount" : "100", //Amount must be an integer, the fraction is not supported (e.g. 100 or 100.00 is acceptable, but 100.01 is not)
    * "source_currency" : "COP",
    * "arrival_currency" : "COP",
    * "notify_url" : "https://notify.url",
    * "additional_remark" : "pagsmile payout test",
    * "country": "COL"
}'


```

{% hint style="info" %}
Note: ***94FAC\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*68548*** is Pagsmile's test App ID for sandbox, and ***d6181db0d6548b94b162e75d095b59147172d914699f83b2bd17951a671b6302*** is authorization token associated with the test App ID.
{% endhint %}

{% hint style="success" %}
In **sandbox** environment, please use *<mark style="color:red;">**+57311111111**</mark>* as <mark style="color:blue;">**Tpaga**</mark> account for testing **Failed** payout, any other <mark style="color:blue;">**Tpaga**</mark> account will be successful.
{% endhint %}
